Package org.eclipse.m2m.atl.emftvm.impl

## Class ModelImpl.InstanceOfList.InstanceOfIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
    - - org.eclipse.m2m.atl.emftvm.impl.ModelImpl.InstanceOfList.InstanceOfIterator

All Implemented Interfaces:
  `java.util.Iterator<org.eclipse.emf.ecore.EObject>`

Enclosing class:
  ModelImpl.InstanceOfList

    public class ModelImpl.InstanceOfList.InstanceOfIterator
    extends LazyCollection.CachingIterator

`Iterator` for `ModelImpl.InstanceOfList`.

### Field Summary

Fields
`protected org.eclipse.emf.ecore.EObject` `next`
`protected boolean` `nextSet`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

### Constructor Summary

Constructors
`InstanceOfIterator()` Creates a new `ModelImpl.InstanceOfList.InstanceOfIterator`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`org.eclipse.emf.ecore.EObject` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### next

    protected org.eclipse.emf.ecore.EObject next

#### nextSet

    protected boolean nextSet

### Constructor Detail

#### InstanceOfIterator

    public InstanceOfIterator()

Creates a new `ModelImpl.InstanceOfList.InstanceOfIterator`.

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<org.eclipse.emf.ecore.EObject>`
Overrides:
  `hasNext` in class `LazyCollection.CachingIterator`

#### next

    public org.eclipse.emf.ecore.EObject next()

Specified by:
  `next` in interface `java.util.Iterator<org.eclipse.emf.ecore.EObject>`
Overrides:
  `next` in class `LazyCollection.CachingIterator`